package weaver.interfaces.seclinktel.util;

import com.weaver.general.Util;
import org.apache.commons.lang3.StringUtils;
import weaver.conn.RecordSet;
import weaver.interfaces.seclinktel.entity.po.ResourceOtherInfoPo;

import java.time.LocalDate;
import java.time.Period;
import java.time.format.DateTimeFormatter;
import java.util.ArrayList;
import java.util.List;

/**
 * @Author liang.cheng
 * @Date 2024/11/4 3:44 PM
 * @Description: TODO
 * @Version 1.0
 */
public class DutyUtils {

    public static List<ResourceOtherInfoPo> getHrmResource(){
        List<ResourceOtherInfoPo> infoPoList = new ArrayList<>();

        RecordSet rs = new RecordSet();
        rs.executeQuery("select id,birthday from hrmresource");
        while (rs.next()) {

            Integer id = Util.getIntValue(rs.getString("id"));
            String birthday = Util.null2String(rs.getString("birthday"));
            if (StringUtils.isNotBlank(birthday)) {
                infoPoList.add(ResourceOtherInfoPo.builder().id(id).birthday(birthday).build());
            }
        }
        return infoPoList;
    }

    public static Integer getAge(String birthday) {
        DateTimeFormatter formatter = DateTimeFormatter.ofPattern("yyyy-MM-dd");
        // 解析生日字符串为 LocalDate 对象
        LocalDate birthDate = LocalDate.parse(birthday, formatter);
        LocalDate currentDate = LocalDate.now();
        return  Period.between(birthDate, currentDate).getYears();
    }


}
